Zum Inhalt springen

Flux 3 Image · Text to Image

Integrieren

Modell-ID blackforestlabs/flux-3/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,048 $ 48 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Black Forest Labs Text zu Bild 4K-Ausgabebis zu 4k #flux-3-image#black-forest-labs#typography

Text-zu-Bild mit Auflösungsstufen von 512 bis 4k, zahlreichen Seitenverhältnissen und optionaler Prompt-Erweiterung

Black Forest Labs · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Prompt zur Steuerung der Bildgenerierung.

resolution Standard 1k

Auflösungsstufe der Ausgabe; eine Generierung in 4k kann mehrere Minuten dauern.

Standard auto

Seitenverhältnis der Ausgabe. Bei der Bearbeitung entspricht Auto dem Seitenverhältnis des ersten Referenzbildes.

Erweitert output_format · version · safety_tolerance · enable_prompt_expansion
output_format Standard jpeg

Dateiformat des resultierenden Bilds.

Standard latest

Zu verwendende Modellversion.

Standard 2

Sicherheitstoleranz von der strengsten Einstellung 0 bis 4.

POST /run/blackforestlabs/flux-3/text-to-image?wait=20 Preis → 0,048 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Flux 3 Image · Text to Image

Erzeugt ein Bild aus einem `prompt`, wobei die `resolution` auf 512sq, 768sq, 1k, 2k oder 4k gesetzt wird; 4k kann mehrere Minuten dauern. `aspect_ratio` bietet Verhältnisse von 21:9 bis 1:2 oder auto. Zu den Optionen gehören `enable_prompt_expansion`, `safety_tolerance` (0 bis 4) sowie das `output_format` jpeg oder png.

Parameter

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
Prompt zur Steuerung der Bildgenerierung.
aspect_ratiooptional
Typenum
Standardauto
auto21:92:116:93:27:54:35:41:14:53:45:72:39:161:2
Seitenverhältnis der Ausgabe. Bei der Bearbeitung entspricht Auto dem Seitenverhältnis des ersten Referenzbildes.
resolutionoptional
Typenum
Standard1k
512sq768sq1k2k4k
Auflösungsstufe der Ausgabe; eine Generierung in 4k kann mehrere Minuten dauern.
enable_prompt_expansionoptional
Typboolean
Standardfalse
Steuert die Prompt-Erweiterung, ohne die beabsichtigte Bedeutung oder die Rollen der Referenzen zu ändern.
safety_toleranceoptional
Typinteger
Standard2
0 – 4
Sicherheitstoleranz von der strengsten Einstellung 0 bis 4.
output_formatoptional
Typenum
Standardjpeg
jpegpng
Dateiformat des resultierenden Bilds.
versionoptional
Typstring
Standardlatest
Zu verwendende Modellversion.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 48,
    "usd": "0.048",
    "charged": 48,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size, width, height}Vom Modell erzeugtes Bild.

Weitere Modelle: Text zu Bild

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/blackforestlabs/flux-3/text-to-image.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt